List Estimates
Get a paginated list of estimates
GET
/
invoices
/
estimate
/
list
List Estimates
curl --request GET \
--url https://services.leadconnectorhq.com/invoices/estimate/list \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/invoices/estimate/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/invoices/estimate/list"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"estimates": [
"<string>"
],
"total": 123,
"traceId": "<string>"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Headers
API Version
Available options:
2021-07-28 Query Parameters
Location Id or Agency Id
Example:
"6578278e879ad2646715ba9c"
Available options:
location startAt in YYYY-MM-DD format
Example:
"2023-01-01"
endAt in YYYY-MM-DD format
Example:
"2023-01-01"
search text for estimates name
Example:
"Home services estimate"
estimate status
Available options:
all, draft, sent, accepted, declined, invoiced, viewed Example:
"sent"
Contact ID for the estimate
Example:
"AmuzcoPBpgKeccNsFlib"
Limit the number of items to return
Example:
10
Number of items to skip
Example:
10
Last modified on March 8, 2026
Was this page helpful?
List Estimates
curl --request GET \
--url https://services.leadconnectorhq.com/invoices/estimate/list \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/invoices/estimate/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/invoices/estimate/list"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"estimates": [
"<string>"
],
"total": 123,
"traceId": "<string>"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}